Bug 89939 - wireless-applet rereads png files continously
wireless-applet rereads png files continously
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: FutureFeature, Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-04-29 22:00 EDT by Eric Wood
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-27 06:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Wood 2003-04-29 22:00:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
stracing the wireless applet shows that is keeps opening the same set of png
files based on signal strength:
ie, open("/usr/share/pixmaps/wireless-applet//signal-81-100.png", O_RDONLY) = 26

These are very small png files and can be stored in memory rather than  re-read
each time.  This will help let the hard drive take a rest. The constant ticking
of my notebook's harddrive gives me an ulcer.  

Version-Release number of selected component (if applicable):
gnome-applets-2.2.0-8

How reproducible:
Always

Steps to Reproduce:
1. Add to Panel -> Internet -> Wireless link monitor
2. strace -p <pid_of_wireless-applet>

    

Additional info:
Comment 1 Havoc Pennington 2003-04-29 22:12:05 EDT
Filed http://bugzilla.gnome.org/show_bug.cgi?id=111893
Comment 2 Havoc Pennington 2003-04-30 21:55:04 EDT
gnome.org bug fixed, we just have to get the fix in the next release.
Comment 3 Alexander Larsson 2003-08-27 06:24:26 EDT
in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.